## org.exist.http.servlets
Class EXistServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.exist.http.servlets.EXistServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class EXistServlet
extends javax.servlet.http.HttpServlet

Implements the REST-style interface if eXist is running within a servlet engine. The real work is done by class `RESTServer`.

Author:
  wolf
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `DEFAULT_ENCODING`

Constructor Summary
`EXistServlet()`

Method Summary
`void` `destroy()`
`void` `init(javax.servlet.ServletConfig config)`

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

See Also:
  Constant Field Values

Constructor Detail

### EXistServlet

    public EXistServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

Copyright (C) Wolfgang Meier. All rights reserved.